バージョン選択

フォーラム

メニュー

オンライン状況

74 人のユーザが現在オンラインです。 (56 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 74
もっと...

サイト内検索

質問 > 管理機能 > ロリポップサーバーにインストールできない

管理機能

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
h_tanaka
投稿日時: 2019/7/16 12:31
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: 愛媛県
投稿: 907
Re: ロリポップサーバーにインストールできない
試してみましたが、別のエラーになりました。

$ /usr/local/php/7.1/bin/php -r "if (hash_file('sha384', 'composer-setup.php') === '48e3236262b34d30969dca3c37281b3b4bbe3221bda826ac6a9a62d6444cdb0dcd0615698a5cbe587c3f0fe57a54d8f5') { echo 'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;"
PHP Warning:  hash_file(composer-setup.php): failed to open stream: No such file or directory in Command line code on line 1
Installer corruptPHP Warning:  unlink(composer-setup.php): No such file or directory in Command line code on line 1


----------------
EC-CUBE 《プラチナ》ランクパートナー
トエビス株式会社 田中 宏典
EC-CUBEの機能やデザインのカスタマイズ承ります。

nanasess
投稿日時: 2019/7/16 13:18
対応状況: −−−
登録日: 2006/9/9
居住地: 宝塚
投稿: 1967
Re: ロリポップサーバーにインストールできない
最初の以下のコマンドで、 composer-setup.php が生成されてない可能性がありますね

/usr/local/php/7.1/bin/php -r "copy('http://getcomposer.org/installer', 'composer-setup.php');"


----------------
大河内健太郎(Kentaro Ohkouchi)
EC-CUBE公式エバンジェリスト
スキルニル株式会社

EC-CUBE1系2系長期サポートホスティングサービス CUBE Lab
https://cubelab.info/

h_tanaka
投稿日時: 2019/7/16 13:46
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: 愛媛県
投稿: 907
Re: ロリポップサーバーにインストールできない
$ ls -a で確認したところ、composer-setup.php は存在していました。
そして再度試したところ、なぜかうまくいきました。

/usr/local/php/7.1/bin/php composer.phar install
まで実行後、再度インストールを試したところ、別のエラーになりました。

Whoops, looks like something went wrong.
(1/1) ClassNotFoundException
Attempted to load class "GuardAuthenticationFactory" from namespace "Symfony\Bundle\SecurityBundle\DependencyInjection\Security\Factory".
Did you forget a "use" statement for another namespace?

in SecurityBundle.php line 59
at SecurityBundle->build(object(ContainerBuilder))
in Kernel.php line 797
at Kernel->prepareContainer(object(ContainerBuilder))
in Kernel.php line 768
at Kernel->buildContainer()
in Kernel.php line 636
at Kernel->initializeContainer()
in Kernel.php line 135
at Kernel->boot()
in Kernel.php line 89
at Kernel->boot()
in Kernel.php line 195
at Kernel->handle(object(Request))
in index.php line 74


----------------
EC-CUBE 《プラチナ》ランクパートナー
トエビス株式会社 田中 宏典
EC-CUBEの機能やデザインのカスタマイズ承ります。

chako79
投稿日時: 2019/7/16 15:40
対応状況: −−−
半人前
登録日: 2017/1/10
居住地:
投稿: 11
Re: ロリポップサーバーにインストールできない
横から失礼します。
私も以前同じ状況になりました。
まだ解決されていないようなので...
一度以下を確認してみてください。


ロリポップのコントロールパネル
→PHPの設定
→該当するドメインの右側でPHPのバージョンが[7.1(モジュール版)]になっているか確認。違っていれば上記に変更してみてください。

CGIになっているとインストールできなかったりできていても正常に動かなかったりしました。


引用:

h_tanakaさんは書きました:
EC-CUBE4.0.2
PHP7.1(CGI版)

ロリポップサーバーにインストールするためにブラウザで初回アクセスするとエラーが発生しました。
解決方法わかりますでしょうか?

解凍やFTP転送からやり直しても同じエラーになります。

(1/1) FatalErrorException
Compile Error: Symfony\Component\Debug\DebugClassLoader::loadClass(): Failed opening required '/home/users/1/weblike.jp-toebisu/web/test/vendor/composer/../symfony/security-bundle/DependencyInjection/Security/Factory/GuardAuthenticationFactory.php' (include_path='.:/usr/local/php/7.1/lib/php')

in DebugClassLoader.php line 156
h_tanaka
投稿日時: 2019/7/16 16:09
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: 愛媛県
投稿: 907
Re: ロリポップサーバーにインストールできない
chako79 さん

php7.1はCGI版しかないようです。

ロリポップサーバーによってはモジュール版のphp7.1が存在しないのかもしれないですね。


----------------
EC-CUBE 《プラチナ》ランクパートナー
トエビス株式会社 田中 宏典
EC-CUBEの機能やデザインのカスタマイズ承ります。

« 1 (2)
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

ec-cube.co

統計情報

総メンバー数は49,517名です
総投稿数は93,188件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
1967
4
468
1818
5
yuh
1602
6
red
1343
7
umebius
1296
8
fukap
907
9
h_tanaka
907
10
tsuji
856
11
shutta
835
12 ramrun 789
13
tao_s
774
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 436


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.